<div class="box py-2">
    <nav class="breadcrumb" aria-label="breadcrumbs">
        <ol>
            <li><a href="/" class="py-1">
                <span class="icon is-primary is-small">
                    <span class="material-icons">
                        home
                    </span>
                </span>
                <span>Home</span>
                </a>
            </li>
            {{ template "breadcrumbnav" (dict "p1" . "p2" .) }}
        </ol>
        {{ define "breadcrumbnav" }}
        {{ if .p1.Parent }}
        {{ template "breadcrumbnav" (dict "p1" .p1.Parent "p2" .p2 )  }}
        <li{{ if eq .p1 .p2 }} class="is-active" aria-current="page"{{ end }}>
            <a href="{{ .p1.Permalink }}" class="py-1">{{ .p1.Title }}</a>
        </li>
        <!-- <li><a href="{{ .p1.Permalink }}">{{ .p1.Title }}</a></li> -->
        {{ else if not .p1.IsHome }}
        {{ template "breadcrumbnav" (dict "p1" .p1.Site.Home "p2" .p2 )  }}
        {{ end }}
        {{ end }}
    </nav>
</div>
